<?php
	require_once("../system.engine/system.core.php");
	
	$mPong = array();
	$a = &$mPong;
	$p = &$_POST;
	
	global $systemHandler;
	$systemExecution = $systemHandler->loadHandler("EXECUTION");
	$systemHash = $systemHandler->loadHandler("HASH");
	$systemSmilies = $systemHandler->loadHandler("SMILIES");
	/* ### DO YOUR CODES ONLY FROM HERE ### */

	$mCommentId = $p["commentId"];
	$a["commentText"] = $systemSmilies->initializeSmilies($systemExecution->runQuery("SELECT comment_text FROM web_comments WHERE id = '%s'", $mCommentId)->fetch_object()->comment_text, true);
	
	/* ### DO NOT CHANGE ANYTHING FROM HERE ### */
	header("Content-Type: application/json");
	echo json_encode($mPong);
?>